> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Airdrop Flag

> Returns whether a token is marked as an airdrop or not.



## OpenAPI

````yaml /reference/api-json.json get /nft/is-airdrop
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /nft/is-airdrop:
    get:
      tags:
        - NFT
      summary: Get Token Airdrop Flag
      description: Returns whether a token is marked as an airdrop or not.
      operationId: NFTIsAirdrop
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 10143
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 130
              - 1301
              - 137
              - 168587773
              - 1868
              - 1946
              - 2741
              - 300
              - 324
              - 33111
              - 33139
              - 360
              - 37111
              - 42161
              - 421614
              - 43113
              - 43114
              - 480
              - 4801
              - 534351
              - 534352
              - 5371
              - 5373
              - 59141
              - 59144
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 999999999
            type: number
        - name: contractAddress
          required: true
          in: query
          description: The address of the NFT collection to query.
          schema:
            default: '0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8'
            example: '0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8'
            type: string
        - name: tokenId
          required: true
          in: query
          description: The ID of the token.
          schema:
            default: '1'
            example: '1'
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTIsAirdropResponse'
components:
  schemas:
    NFTIsAirdropResponse:
      type: object
      properties:
        isAirdrop:
          type: boolean
          description: Determines if NFT is airdropped or not.
          example: 'false'
      required:
        - isAirdrop
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````